Page MenuHomeFreeBSD

ipfirewall(4): Mention Cuseeme support was removed from libalias
ClosedPublic

Authored by driesm.michiels_gmail.com on Aug 15 2020, 7:44 AM.

Details

Summary

Cuseeme support was removed from libalias in FreeBSD 13:
https://reviews.freebsd.org/D24790

Test Plan

mandoc

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

driesm.michiels_gmail.com updated this revision to Diff 75845.
driesm.michiels_gmail.com created this revision.

Also remove cuseeme reference in the man page itself.

driesm.michiels_gmail.com retitled this revision from Mention Cuseeme support was removed from libalias to ipfirewall(4): Mention Cuseeme support was removed from libalias.Aug 18 2020, 10:13 AM
emaste added a subscriber: markj.
emaste added inline comments.
share/man/man4/ipfirewall.4
136–137 ↗(On Diff #75845)

We should check if any of these others have been removed already, and also remove any other obsolete ones.

163–167 ↗(On Diff #75845)

I think this part is fine but not sure it's really necessary.

This revision is now accepted and ready to land.Aug 19 2020, 5:33 PM
share/man/man4/ipfirewall.4
163–167 ↗(On Diff #75845)

The removal will be mentioned in 13.0 release notes, I don't think noting it in a man page is standard. I would just drop this hunk.

Ah yes it makes perfect sense to not document removal of code in man pages. That would result in some big ones :-). Thanks!

This revision now requires review to proceed.Aug 19 2020, 5:46 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 19 2020, 5:52 PM
This revision was automatically updated to reflect the committed changes.